For the complete documentation index, see llms.txt. This page is also available as Markdown.

Lines

Beta: Add a custom line to an invoice

post

Add a custom line to an existing draft invoice.

The invoice must be in draft status. If the invoicing method requires mandatory invoice items, an invoice_item_uid must be provided.

Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
uidstring · uuidRequired
Body
descriptionstringOptional

Description of the invoice line.

Example: Custom service fee
quantitystring · decimalRequired

Quantity (up to 3 decimal places).

Example: 1.000
unit_pricestring · decimalRequired

Unit price (up to 4 decimal places).

Example: 25.0000
invoice_item_uidstring · uuid · nullableOptional

UID of the invoice item to associate with this line. Required when the invoicing method mandates invoice items.

Example: 687cddac-dbd2-11ea-9024-0242ac130006
Responses
204

Invoice line created successfully

No content

post/invoices/{uid}/lines/
POST /api/v4/invoices/{uid}/lines/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 136

{
  "description": "Custom service fee",
  "quantity": "1.000",
  "unit_price": "25.0000",
  "invoice_item_uid": "687cddac-dbd2-11ea-9024-0242ac130006"
}

No content

Last updated

Was this helpful?